diff --git a/test_plans/ddp_gtp_test_plan.rst b/test_plans/ddp_gtp_test_plan.rst
index 0fd5a50d..9ce797e3 100644
--- a/test_plans/ddp_gtp_test_plan.rst
+++ b/test_plans/ddp_gtp_test_plan.rst
@@ -82,7 +82,7 @@ Prerequisites
    port topology mode, add txq/rxq to enable multi-queues. In general, PF's 
    max queue is 64, VF's max queue is 4::
 
-    ./<build>/app/dpdk-testpmd -c f -n 4 -- -i --pkt-filter-mode=perfect --port-topology=chained --tx-offloads=0x8fff --txq=64 --rxq=64
+    ./<build>/app/dpdk-testpmd -c f -n 4 -- -i --pkt-filter-mode=perfect --port-topology=chained --txq=64 --rxq=64
 
 
 Test Case: Load dynamic device personalization 
diff --git a/test_plans/ddp_mpls_test_plan.rst b/test_plans/ddp_mpls_test_plan.rst
index 6c4d0e01..c5962046 100644
--- a/test_plans/ddp_mpls_test_plan.rst
+++ b/test_plans/ddp_mpls_test_plan.rst
@@ -70,7 +70,7 @@ Prerequisites
    enable multi-queues. In general, PF's max queue is 64, VF's max queue
    is 4::
 
-     ./<build>/app/dpdk-testpmd -c f -n 4 -- -i --port-topology=chained --tx-offloads=0x8fff
+     ./<build>/app/dpdk-testpmd -c f -n 4 -- -i --port-topology=chained
      --txq=4 --rxq=4
 
 
diff --git a/test_plans/external_mempool_handler_test_plan.rst b/test_plans/external_mempool_handler_test_plan.rst
index 0df16182..571fce9c 100644
--- a/test_plans/external_mempool_handler_test_plan.rst
+++ b/test_plans/external_mempool_handler_test_plan.rst
@@ -54,7 +54,7 @@ Test Case 1: Multiple producers and multiple consumers
 
 3. Start testpmd with two ports and start forwarding::
 
-      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3
       testpmd> set fwd mac
       testpmd> start
 
@@ -75,7 +75,7 @@ Test Case 2: Single producer and Single consumer
 
 3. Start testpmd with two ports and start forwarding::
 
-      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3
       testpmd> set fwd mac
       testpmd> start
 
@@ -96,7 +96,7 @@ Test Case 3: Single producer and Multiple consumers
 
 3. Start testpmd with two ports and start forwarding::
 
-      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3
       testpmd> set fwd mac
       testpmd> start
 
@@ -117,7 +117,7 @@ Test Case 4: Multiple producers and single consumer
 
 3. Start testpmd with two ports and start forwarding::
 
-      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3
       testpmd> set fwd mac
       testpmd> start
 
@@ -138,7 +138,7 @@ Test Case 4: Stack mempool handler
 
 3. Start testpmd with two ports and start forwarding::
 
-      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./<build_target>/app/dpdk-testpmd -c 0x6 -n 4  -- -i --portmask=0x3
       testpmd> set fwd mac
       testpmd> start
 
diff --git a/test_plans/generic_flow_api_test_plan.rst b/test_plans/generic_flow_api_test_plan.rst
index 6fd039a0..46950797 100644
--- a/test_plans/generic_flow_api_test_plan.rst
+++ b/test_plans/generic_flow_api_test_plan.rst
@@ -461,7 +461,7 @@ Test case: Fortville tunnel vxlan
 
 1. Launch the app ``testpmd`` with the following arguments::
 
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 1ffff -n 4 -a 05:00.0 --file-prefix=pf --socket-mem=1024,1024 -- -i --rxq=16 --txq=16 --tx-offloads=0x8fff --disable-rss
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 1ffff -n 4 -a 05:00.0 --file-prefix=pf --socket-mem=1024,1024 -- -i --rxq=16 --txq=16 --disable-rss
     testpmd> rx_vxlan_port add 4789 0
     testpmd> set fwd rxonly
     testpmd> set verbose 1
@@ -469,7 +469,7 @@ Test case: Fortville tunnel vxlan
     testpmd> start
     the pf's mac address is 00:00:00:00:01:00
 
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 1e0000 -n 4 -a 05:02.0 --file-prefix=vf --socket-mem=1024,1024 -- -i --rxq=4 --txq=4 --tx-offloads=0x8fff --disable-rss
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 1e0000 -n 4 -a 05:02.0 --file-prefix=vf --socket-mem=1024,1024 -- -i --rxq=4 --txq=4 --disable-rss
     testpmd> set fwd rxonly
     testpmd> set verbose 1
     testpmd> set promisc all off
@@ -564,19 +564,19 @@ Test case: Fortville tunnel nvgre
 
 1. Launch the app ``testpmd`` with the following arguments::
 
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 1ffff -n 4 -a 05:00.0 --file-prefix=pf --socket-mem=1024,1024 -- -i --rxq=16 --txq=16 --tx-offloads=0x8fff
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 1ffff -n 4 -a 05:00.0 --file-prefix=pf --socket-mem=1024,1024 -- -i --rxq=16 --txq=16
     testpmd> set fwd rxonly
     testpmd> set verbose 1
     testpmd> set promisc all off
     testpmd> start
 
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 1e0000 -n 4 -a 05:02.0 --file-prefix=vf0 --socket-mem=1024,1024 -- -i --rxq=4 --txq=4 --tx-offloads=0x8fff
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 1e0000 -n 4 -a 05:02.0 --file-prefix=vf0 --socket-mem=1024,1024 -- -i --rxq=4 --txq=4
     testpmd> set fwd rxonly
     testpmd> set verbose 1
     testpmd> set promisc all off
     testpmd> start
 
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 1e00000 -n 4 -a 05:02.1 --file-prefix=vf1 --socket-mem=1024,1024 -- -i --rxq=4 --txq=4 --tx-offloads=0x8fff
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 1e00000 -n 4 -a 05:02.1 --file-prefix=vf1 --socket-mem=1024,1024 -- -i --rxq=4 --txq=4
     testpmd> set fwd rxonly
     testpmd> set verbose 1
     testpmd> set promisc all off
@@ -2009,7 +2009,7 @@ Test case: Dual vlan(QinQ)
 
    1. set up testpmd with Fortville NICs::
 
-         ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x1ffff -n 4 -- -i --coremask=0x1fffe --portmask=0x1 --rxq=16 --txq=16 --tx-offloads=0x8fff
+         ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x1ffff -n 4 -- -i --coremask=0x1fffe --portmask=0x1 --rxq=16 --txq=16
 
    2. verbose configuration::
 
diff --git a/test_plans/tx_preparation_test_plan.rst b/test_plans/tx_preparation_test_plan.rst
index a6d9a0b9..d61d772f 100644
--- a/test_plans/tx_preparation_test_plan.rst
+++ b/test_plans/tx_preparation_test_plan.rst
@@ -72,11 +72,11 @@ Change mtu for large packet::
 
    ifconfig eth1 mtu 9000
 
-Launch the ``testpmd`` with the following arguments, set ``--tx-offloads=0x8fff`` to
+Launch the ``testpmd`` with the following arguments, set ``--tx-offloads=0x8000`` to
 let TX checksum offloads, TSO mode in the “Full Featured” TX path, add
 --max-pkt-len for large packet::
 
-   ./app/dpdk-testpmd -c 0x6 -n 4  -- -i --tx-offloads=0x8fff --port-topology=chained
+   ./app/dpdk-testpmd -c 0x6 -n 4  -- -i --tx-offloads=0x8000 --port-topology=chained
    --max-pkt-len=9000
 
 Set the ``csum`` forwarding mode::
diff --git a/test_plans/uni_pkt_test_plan.rst b/test_plans/uni_pkt_test_plan.rst
index 68f12c92..cfb9544a 100644
--- a/test_plans/uni_pkt_test_plan.rst
+++ b/test_plans/uni_pkt_test_plan.rst
@@ -55,7 +55,7 @@ Plug in three different types of nic on the board.
 
 Start testpmd and then enable rxonly and verbose mode::
 
-    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 -- -i --tx-offloads=0x8fff
+    ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c f -n 4 -- -i
     set fwd rxonly
     set verbose 1
     start
diff --git a/test_plans/vf_daemon_test_plan.rst b/test_plans/vf_daemon_test_plan.rst
index 42c679ac..b75cb11b 100644
--- a/test_plans/vf_daemon_test_plan.rst
+++ b/test_plans/vf_daemon_test_plan.rst
@@ -87,7 +87,7 @@ Prerequisites
 
 5. Start testpmd on host and vm0 in chained port topology::
 
-        ./<build_target>/app/dpdk-testpmd -c f -n 4 -- -i --port-topology=chained --tx-offloads=0x8fff
+        ./<build_target>/app/dpdk-testpmd -c f -n 4 -- -i --port-topology=chained
 
 
 Test Case 1: Set VLAN insert for VF from PF
diff --git a/test_plans/vf_jumboframe_test_plan.rst b/test_plans/vf_jumboframe_test_plan.rst
index f7b480a2..53497014 100644
--- a/test_plans/vf_jumboframe_test_plan.rst
+++ b/test_plans/vf_jumboframe_test_plan.rst
@@ -86,7 +86,7 @@ Prerequisites
 5. Start testpmd, set it in mac forward mode::
 
       ./<build_target>/app/dpdk-testpmd -c 0x0f-- -i --portmask=0x1 \
-        --tx-offloads=0x8fff --max-pkt-len=9000--port-topology=loop
+        --tx-offloads=0x8000 --max-pkt-len=9000--port-topology=loop
       testpmd> set fwd mac
       testpmd> start
 
diff --git a/test_plans/vf_macfilter_test_plan.rst b/test_plans/vf_macfilter_test_plan.rst
index c7522fc0..4d3d345e 100644
--- a/test_plans/vf_macfilter_test_plan.rst
+++ b/test_plans/vf_macfilter_test_plan.rst
@@ -97,7 +97,7 @@ Test Case 1: test_kernel_2pf_2vf_1vm_iplink_macfilter
    disable promisc mode,set it in mac forward mode::
 
       ./usertools/dpdk-devbind.py --bind=igb_uio 00:06.0 00:07.0
-      ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x0f -n 4 -a 00:06.0 -a 00:07.0 -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x0f -n 4 -a 00:06.0 -a 00:07.0 -- -i --portmask=0x3
 
       testpmd> port stop all
       testpmd> port config all crc-strip on
@@ -175,7 +175,7 @@ Test Case 2: test_kernel_2pf_2vf_1vm_mac_add_filter
    VF, disable promisc mode, add a new MAC to VF0 and then start::
 
       ./usertools/dpdk-devbind.py --bind=igb_uio 00:06.0 00:07.0
-      ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x0f -n 4 -a 00:06.0 -a 00:07.0 -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x0f -n 4 -a 00:06.0 -a 00:07.0 -- -i --portmask=0x3
 
       testpmd> port stop all
       testpmd> port config all crc-strip on
@@ -269,7 +269,7 @@ Test Case 3: test_dpdk_2pf_2vf_1vm_mac_add_filter
    VF, disable promisc mode, add a new MAC to VF0 and then start::
 
       ./usertools/dpdk-devbind.py --bind=igb_uio 00:06.0 00:07.0
-      ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x0f -n 4 -a 00:06.0 -a 00:07.0 -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x0f -n 4 -a 00:06.0 -a 00:07.0 -- -i --portmask=0x3
 
       testpmd> port stop all
       testpmd> port config all crc-strip on
@@ -365,7 +365,7 @@ Test Case 4: test_dpdk_2pf_2vf_1vm_iplink_macfilter
    disable promisc mode, set it in mac forward mode::
 
       ./usertools/dpdk-devbind.py --bind=igb_uio 00:06.0 00:07.0
-      ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x0f -n 4 -a 00:06.0 -a 00:07.0 -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x0f -n 4 -a 00:06.0 -a 00:07.0 -- -i --portmask=0x3
 
       testpmd> port stop all
       testpmd> port config all crc-strip on
diff --git a/test_plans/vf_packet_rxtx_test_plan.rst b/test_plans/vf_packet_rxtx_test_plan.rst
index 69b18038..7d720d73 100644
--- a/test_plans/vf_packet_rxtx_test_plan.rst
+++ b/test_plans/vf_packet_rxtx_test_plan.rst
@@ -97,7 +97,7 @@ Test Case 1: VF_packet_IO_kernel_PF_dpdk_VF
 
       ./usertools/dpdk-devbind.py -s --bind=igb_uio 00:06.0 00:07.0
       ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x0f -n 4 -a 00:06.0 -a 00:07.0 \
-                                               -- -i --portmask=0x3 --tx-offloads=0x8fff
+                                               -- -i --portmask=0x3
 
       testpmd> set fwd mac
       testpmd> start
diff --git a/test_plans/vf_rss_test_plan.rst b/test_plans/vf_rss_test_plan.rst
index 9e575546..ce50072e 100644
--- a/test_plans/vf_rss_test_plan.rst
+++ b/test_plans/vf_rss_test_plan.rst
@@ -81,7 +81,7 @@ Testpmd configuration - 4 RX/TX queues per port
 
 ::
 
-  dpdk-testpmd -c 1f -n 3  -- -i --rxq=4 --txq=4 --tx-offloads=0x8fff
+  dpdk-testpmd -c 1f -n 3  -- -i --rxq=4 --txq=4
 
 Testpmd Configuration Options
 -----------------------------
diff --git a/test_plans/vf_to_vf_nic_bridge_test_plan.rst b/test_plans/vf_to_vf_nic_bridge_test_plan.rst
index 7f2df59f..8ca54525 100644
--- a/test_plans/vf_to_vf_nic_bridge_test_plan.rst
+++ b/test_plans/vf_to_vf_nic_bridge_test_plan.rst
@@ -98,7 +98,7 @@ dpdk testpmd to vf in vm0, and verify the vf on vm0 can receive stream.
 
 Step 1: run testpmd on vm0::
 
-        ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x7 -n 1  -- -i  --tx-offloads=0x8fff
+        ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x7 -n 1  -- -i
 
 Step 2: set rxonly and start on vm0::
 
@@ -149,7 +149,7 @@ Test Case3: test_2vf_k2d_scapy_stream
 
 Step 1: run testpmd on vm0::
 
-        ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x7 -n 1  -- -i  --tx-offloads=0x8fff
+        ./x86_64-native-linuxapp-gcc/app/dpdk-testpmd -c 0x7 -n 1  -- -i
 
 Step 2: set rxonly and start on vm0::
 
diff --git a/test_plans/vf_vlan_test_plan.rst b/test_plans/vf_vlan_test_plan.rst
index eacaa4b0..a316cfa2 100644
--- a/test_plans/vf_vlan_test_plan.rst
+++ b/test_plans/vf_vlan_test_plan.rst
@@ -87,7 +87,7 @@ Prerequisites
 
 5. Start testpmd, set it in rxonly mode and enable verbose output::
 
-     dpdk-testpmd -c 0x0f -n 4 -a 00:04.0 -a 00:05.0 -- -i --portmask=0x3 --tx-offloads=0x8fff
+     dpdk-testpmd -c 0x0f -n 4 -a 00:04.0 -a 00:05.0 -- -i --portmask=0x3
      testpmd> set fwd rxonly
      testpmd> set verbose 1
      testpmd> start
@@ -148,7 +148,7 @@ Test Case 3: VF tagged vlan tx
 
 1. Start testpmd with full-featured tx code path and with mac forward mode::
 
-     dpdk-testpmd -c f -n 3 -- -i --tx-offloads=0x8fff
+     dpdk-testpmd -c f -n 3 -- -i
      testpmd> set fwd mac
      testpmd> start
 
diff --git a/test_plans/vlan_ethertype_config_test_plan.rst b/test_plans/vlan_ethertype_config_test_plan.rst
index e620e6c7..17657c7b 100644
--- a/test_plans/vlan_ethertype_config_test_plan.rst
+++ b/test_plans/vlan_ethertype_config_test_plan.rst
@@ -60,7 +60,7 @@ Test Case 1: change VLAN TPID
 
 1. Start testpmd, start in rxonly mode::
 
-      ./dpdk-testpmd -c 0xff -n 4 -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./dpdk-testpmd -c 0xff -n 4 -- -i --portmask=0x3
       testpmd> set fwd rxonly
       testpmd> set verbose 1
       testpmd> start
@@ -76,7 +76,7 @@ Test Case 2: test VLAN filtering on/off
 
 1. Start testpmd, setup vlan filter on, start in mac forwarding mode::
 
-      ./dpdk-testpmd -c 0xff -n 4 -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./dpdk-testpmd -c 0xff -n 4 -- -i --portmask=0x3
       testpmd> set fwd mac
       testpmd> vlan set filter on 0
       testpmd> start
@@ -96,7 +96,7 @@ Test Case 3: test adding VLAN Tag Identifier with changing VLAN TPID
 
 1. start testpmd, setup vlan filter on, start in mac forwarding mode::
 
-      ./dpdk-testpmd -c 0xff -n 4 -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./dpdk-testpmd -c 0xff -n 4 -- -i --portmask=0x3
       testpmd> set fwd mac
       testpmd> vlan set filter on 0
       testpmd> vlan set strip off 0
@@ -128,7 +128,7 @@ Test Case 4: test VLAN header stripping with changing VLAN TPID
 
 1. start testpmd, setup vlan filter off, vlan strip on, start in mac forwarding mode::
 
-      ./dpdk-testpmd -c 0xff -n 4 -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./dpdk-testpmd -c 0xff -n 4 -- -i --portmask=0x3
       testpmd> set fwd mac
       testpmd> vlan set filter off 0
       testpmd> vlan set strip on 0
@@ -157,7 +157,7 @@ Test Case 5: test VLAN header inserting with changing VLAN TPID
 
 1. start testpmd, enable vlan packet forwarding, start in mac forwarding mode::
 
-      ./dpdk-testpmd -c 0xff -n 4 -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./dpdk-testpmd -c 0xff -n 4 -- -i --portmask=0x3
       testpmd> set fwd mac
       testpmd> vlan set filter off 0
       testpmd> vlan set strip off 0
@@ -192,7 +192,7 @@ Test Case 6: Change S-Tag and C-Tag within QinQ
 
 1. Start testpmd, enable QinQ, start in rxonly mode::
 
-      ./dpdk-testpmd -c 0xff -n 4 -- -i --portmask=0x3 --tx-offloads=0x8fff
+      ./dpdk-testpmd -c 0xff -n 4 -- -i --portmask=0x3
       testpmd> vlan set qinq on 0
       testpmd> set fwd rxonly
       testpmd> set verbose 1